import { savePosts, getPostsDetail, updatePosts } from "@/services/posts";
import { getStoreList } from "@/services/stock";
import {
  PageContainer,
  ProForm,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { useNavigate, useSearchParams } from "react-router-dom";
import { Card, Typography, message, Row, Button, Space } from "antd";
import { useEffect, useRef, useState } from "react";
import Wangeditor from "@/components/Wangeditor";
const { Title } = Typography;
export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const [data, setData] = useState({});
  const navigate = useNavigate();

  const formRef = useRef();

  useEffect(() => {
    if (id) {
      getPostsDetail(id).then((res) => {
        setData(res);
      });
    }
  }, [id]);

  return (
    <Card extra={<Button onClick={()=>navigate(-1)}> 返回</Button>}>
      <Title level={2} style={{ marginBottom: "2em" }}>
        {data.title}
      </Title>
      <div dangerouslySetInnerHTML={{ __html: data?.detail }}></div>
    </Card>
  );
};
