import React from 'react';
import icon from '@/assets/images/statistic/社会保障机构分类统计.png';
import Chart from '@/components/chart';
import StatisCard from './StatisCard';
import Filter from './Filter';

export default (props) => {

  const [year, setYear] = React.useState();
  const option = getOption(["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"], [0, 0, 0, 0, 0, 0, 8, 9, 10, 1, 1, 6])

  return (
    <StatisCard
      title="成本分析"
      icon={icon}
      extra={<Filter />}
    >
      <Chart option={option} style={{ height: '300px' }} />
    </StatisCard>
  )
}

function getOption(xAxisData, seriesData) {
  var axisLabel = {
    fontSize: 14,
    color: 'rgba(255,255,255, .6)'
  };
  var lineStyle = {
    color: 'rgba(255,255,255, .16)',
    type: 'dashed'
  };

  return {
    xAxis: {
      type: 'category',
      axisLabel: Object.assign({
        rotate: 45
      }, axisLabel),
      axisLine: {
        show: true,
        lineStyle: lineStyle
      },
      data: xAxisData
    },
    yAxis: {
      axisLabel: axisLabel,
      axisLine: {
        show: true,
        lineStyle: lineStyle
      },
      splitLine: {
        lineStyle: lineStyle
      },
      type: 'value'
    },
    tooltip : {
      trigger: 'axis',
      axisPointer : {
        type : 'shadow'
      }
    },
    grid: {
      top: 20,
      left: 50,
      right: 20,
      bottom: 70,
    },
    color: ['#9242D1'],
    animationEasing: 'elasticOut',
    series: [
      {
        data: seriesData,
        type: 'pictorialBar',
        barWidth: 16,
        symbol: 'rect',
        symbolRepeat: true,
        animationDuration: 6000,
        animationDelay: function (dataIndex, params) {
          return params.index * 30;
        }
      }
    ]
  }
}
