import React from 'react';
import { Row, Col } from 'antd';
import classNames from 'classnames';
import icon1 from '@/assets/images/statistic/数字统计.png';
import icon2 from '@/assets/images/statistic/接待军人总数.png';
import icon3 from '@/assets/images/statistic/保障机构数.png';
import icon4 from '@/assets/images/statistic/设备数量.png';
import Styles from './style.module.less';

const DataCard = (props) => {
  const { className, icon } = props;

  const cls = classNames(Styles['data-card'], className);

  return (
    <dl className={cls}>
      <dt>0</dt>
      <dd>任务总数</dd>
      <img src={icon} alt="" />
    </dl>
  )
}

export default (props) => {
  return (
    <Row gutter={props.gutter} justify="space-between">
      <Col span={6}>
        <DataCard icon={icon1} className={Styles['bk1']} />
      </Col>
      <Col span={6}>
        <DataCard icon={icon2} className={Styles['bk2']} />
      </Col>
      <Col span={6}>
        <DataCard icon={icon3} className={Styles['bk3']} />
      </Col>
      <Col span={6}>
        <DataCard icon={icon4} className={Styles['bk4']} />
      </Col>
    </Row>
  )
}
